
using Spectre.Console.Cli;
using UWScraper;

internal class Program
{
    private static void Main(string[] args)
    {
        AppDomain.CurrentDomain.ProcessExit += (s, e) =>
        {
            Scraper.QuitDriver();
        };

        AppDomain.CurrentDomain.UnhandledException += (s, e) =>
        {
            Scraper.QuitDriver();
        };

        var app = new CommandApp<ScrapeCommand>();
        app.Configure(config =>
        {
#if DEBUG
            config.PropagateExceptions();
            config.ValidateExamples();
#endif
        });
        app.Run(args);
    }
}